Redmine - Defect #14737

Gantt, completed % truncated instead of rounded
2013-08-21 16:17 - Jérdbme BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version: 2.6.0

Resolution: Fixed Affected version:

Description

Related issues:
Has duplicate Redmine - Feature #13442: Gantt : rounding error for version co... Closed

Associated revisions

Revision 13137 - 2014-05-16 10:28 - Toshi MARUYAMA

gantt: completed percent truncated instead of rounded (#14737)

Contributed by Jérome BATAILLE.

History

#1 - 2013-08-21 16:23 - Jérome BATAILLE
- File RM_14737_gantt_completed_pourcent_truncated.diff added

Here is a patch

#2 - 2013-08-22 15:13 - Daniel Felix

+1 to the patch.
But English comments would be better. ;-)

#3 - 2013-08-22 15:29 - Jérome BATAILLE
- File RM_14737_gantt_completed_pourcent_truncated.diff added

Sorry :-)

#4 - 2013-08-22 15:41 - Daniel Felix
Np. Looks better. :-)

#5 - 2014-05-14 13:17 - Jérome BATAILLE

Any chance that this very simple patch could be integrated to the core ?

#6 - 2014-05-14 13:46 - Toshi MARUYAMA
- File edit.png added
- File view.png added

This problem is not only pdf but also web form.

diff --git a/app/views/issues/_attributes.html.erb b/app/views/issues/_attributes.html.erb
-—— a/app/views/issues/_attributes.html.erb
+++ b/app/views/issues/_attributes.html.erb
@@ -63,7 +63,7 Q@
<% end %>

<% 1if Q@issue.safe_attribute? 'estimated_hours' %>

—<p><%= f.text_field :estimated_hours, :size => 3, :disabled => !Q@issue.leaf?, :required => (@issue.required_at
tribute? ('estimated_hours') %> <%= 1l (:field_hours) %></p>
+<p><%= f.text_field :estimated_hours, :size => 10, :disabled => !Qissue.leaf?, :required => (@issue.required_a
ttribute? ('estimated_hours') %> <%= 1 (:field_hours) %></p>
<% end %>

<% if @issue.safe_attribute? ('done_ratio') && @issue.leaf? && Issue.use_field_for_done_ratio? %>
Start date: 05/14/2014
Due date:
% Done: 0%
Estimated time: 1.11 hour
Spent time: =

Parent task |

start date m
Estimated time Hours

#7 - 2014-05-14 14:18 - Jérome BATAILLE
Hi Toshi,

You are talking about estimated_hours, do you mean that this is linked to done_ratio ?
The only place | have found this issue is in the Gantt, on the versions display percent is not truncated.

#8 - 2014-05-14 14:25 - Jérome BATAILLE
Duplicated by #13442

#9 - 2014-05-14 15:34 - Toshi MARUYAMA
Jérome BATAILLE wrote:
Hi Toshi,
You are talking about estimated_hours, do you mean that this is linked to done_ratio ?

The only place | have found this issue is in the Gantt, on the versions display percent is not truncated.

Sorry, | confused with #12510#note-15.

#10 - 2014-05-14 15:34 - Toshi MARUYAMA

- Target version set to 2.5.2

#11 - 2014-05-14 15:35 - Toshi MARUYAMA
- Target version changed from 2.5.2 to 2.6.0

#12 - 2014-05-14 15:38 - Toshi MARUYAMA

- Related to Feature #13442: Gantt : rounding error for version completed percent added

#13 - 2014-05-14 15:38 - Toshi MARUYAMA

- Related to deleted (Feature #13442: Ganitt : rounding error for version completed percent)

#14 - 2014-05-14 15:38 - Toshi MARUYAMA

- Has duplicate Feature #13442: Gantt : rounding error for version completed percent added

#15 - 2014-05-14 15:41 - Toshi MARUYAMA

It is reasonable because issue form uses round.
source:tags/2.5.1/app/helpers/application_helper.rb#l. 1122

#16 - 2014-05-16 12:38 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/13442
https://www.redmine.org/issues/12510#note-15
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/app/helpers/application_helper.rb#L1122

Committed in trunk r13137, thanks.

#17 - 2014-05-16 13:17 - Jérome BATAILLE

Thanks a lot ! this is Smile 13'th patch integrated into the core.
